import * as i6 from '@angular/common';
import { CommonModule } from '@angular/common';
import * as i0 from '@angular/core';
import { Component, ChangeDetectionStrategy } from '@angular/core';
import * as i1 from '@smallstack/rx-components';
import { SyncStatus } from '@smallstack/rx-components';
import { IconComponent } from '@smallstack/theme-components';
import { BaseWidgetComponent } from '@smallstack/widget-core';

class SyncStatusWidgetComponent extends BaseWidgetComponent {
    constructor(syncStatusService) {
        super();
        this.syncStatusService = syncStatusService;
        this.SyncStatus = SyncStatus;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.1.7", ngImport: i0, type: SyncStatusWidgetComponent, deps: [{ token: i1.SyncStatusService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.1.7", type: SyncStatusWidgetComponent, isStandalone: true, selector: "ng-component", usesInheritance: true, ngImport: i0, template: "<ng-container [ngSwitch]=\"syncStatusService.status$ | async\">\n  <!-- <ng-container *ngSwitchCase=\"SyncStatus.ready\">\n    <smallstack-icon name=\"save-all\" size=\"48\" action=\"checked-checkbox\" [actionSize]=\"0.5\"></smallstack-icon>\n  </ng-container> -->\n  <ng-container *ngSwitchCase=\"SyncStatus.syncing\">\n    <div class=\"tooltip tooltip-left tooltip-primary\" data-tip=\"\u00C4nderungen werden synchronisiert...\">\n      <smallstack-icon\n        size=\"32\"\n        name=\"database\"\n        theme=\"sf-regular\"\n        themeColor=\"toolbar.colors.text\"\n        class=\"animate-pulse\"\n        [badge]=\"syncStatusService.syncingCollectionCount$ | async\"\n      ></smallstack-icon>\n    </div>\n  </ng-container>\n</ng-container>\n", dependencies: [{ kind: "ngmodule", type: CommonModule }, { kind: "directive", type: i6.NgSwitch, selector: "[ngSwitch]", inputs: ["ngSwitch"] }, { kind: "directive", type: i6.NgSwitchCase, selector: "[ngSwitchCase]", inputs: ["ngSwitchCase"] }, { kind: "pipe", type: i6.AsyncPipe, name: "async" }, { kind: "component", type: IconComponent, selector: "smallstack-icon", inputs: ["theme", "size", "name", "alias", "action", "actionSize", "spinning", "actionSpinning", "color", "themeColor", "actionColor", "badge", "badgeColor"], outputs: ["iconError"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.1.7", ngImport: i0, type: SyncStatusWidgetComponent, decorators: [{
            type: Component,
            args: [{ changeDetection: ChangeDetectionStrategy.OnPush, standalone: true, imports: [CommonModule, IconComponent], template: "<ng-container [ngSwitch]=\"syncStatusService.status$ | async\">\n  <!-- <ng-container *ngSwitchCase=\"SyncStatus.ready\">\n    <smallstack-icon name=\"save-all\" size=\"48\" action=\"checked-checkbox\" [actionSize]=\"0.5\"></smallstack-icon>\n  </ng-container> -->\n  <ng-container *ngSwitchCase=\"SyncStatus.syncing\">\n    <div class=\"tooltip tooltip-left tooltip-primary\" data-tip=\"\u00C4nderungen werden synchronisiert...\">\n      <smallstack-icon\n        size=\"32\"\n        name=\"database\"\n        theme=\"sf-regular\"\n        themeColor=\"toolbar.colors.text\"\n        class=\"animate-pulse\"\n        [badge]=\"syncStatusService.syncingCollectionCount$ | async\"\n      ></smallstack-icon>\n    </div>\n  </ng-container>\n</ng-container>\n" }]
        }], ctorParameters: function () { return [{ type: i1.SyncStatusService }]; } });

export { SyncStatusWidgetComponent };
//# sourceMappingURL=smallstack-data-widgets-sync-status-widget.component-2d6890ad.mjs.map
